Subject: stmmac: updating the driver to the Dec 2011 version and add the PCI support

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 21 Dec 2011 14:56:18 +0100

Hello.

This patches update the stmmac device driver to the latest version (Dec
2011) adding the experimental PCI support - thanks to the effort on
developing and testing done by Rayagond Kokatanur.

I'm sending the patches for both net and net-next repositories.

In the next updates, I hope in January, I will send the EEE and PTP
support (always thanks to Rayagond contribution).

In the end, the driver's documentation has been updated too.

Best Regards
Peppe